package migrations

import "database/sql"

type strings []string

/**
 * simpleRun is a trivial wrapper executing SQL instructions without a result in sequence.
 */
func simpleRun(tx *sql.Tx, instructions strings) error {
	for _, instruction := range instructions {
		_, err := tx.Exec(instruction)
		if err != nil {
			return err
		}
	}

	return nil
}
