// Copyright 2018 Ouest Systèmes Informatiques (OSInet). All rights reserved.

/*
Package domain contains the internal data handled by Kurz, in the sense of the
"hexagonal architecture" model.

Its API is made of:

  - functions GetTargetURL() and GetShortURL()

Its SPI is made of:

  - interfaces ShortURLRepository and TargetURLRepository
  - configuration function RegisterRepositories()
*/
package domain
